
-- DROP TABLE IF EXISTS <admin>;
CREATE TABLE <admin> (
  username text,
  password text,
  session text,
  ip text,
  email_recieved text,
  email_processed text,
  email text,
  id int(11)  NOT NULL auto_increment,
  PRIMARY KEY (id)
);

-- DROP TABLE  IF EXISTS <affiliate_sales>;
CREATE TABLE <affiliate_sales> (
  aid int(11),
  commission decimal(9,2),
  oid int(11),
  sale decimal(9,2),
  owed decimal(9,2),
  status text,
  date_sold date,
  id int(11)  NOT NULL auto_increment,
  PRIMARY KEY (id)
);

-- DROP TABLE IF EXISTS <affiliates>;
CREATE TABLE <affiliates> (
  fname text,
  lname text,
  email text,
  address text,
  city text,
  state text,
  country text,
  zip text,
  phone text,
  status text,
  commission decimal(9,2),
  id int(11)  NOT NULL auto_increment,
  PRIMARY KEY (id)
);

-- DROP TABLE IF EXISTS <item>;
CREATE TABLE <item> (
  id int(11)  NOT NULL auto_increment,
  price decimal(9,2),
  shipping_price decimal(9,2),
  reduced_shipping_price decimal(9,2),
  name text,
  image_url text,
  description text,
  num_ordered int(11),
  category text,
  product_code text,
  quantity int(11),
  weight decimal(6,2),
  PRIMARY KEY (id)
);

-- DROP TABLE IF EXISTS <order>;
CREATE TABLE <order> (
  id int(11)  NOT NULL auto_increment,
  user_id int(11),
  item_ids text,
  sub_total decimal(9,2),
  ship_total decimal(9,2),
  tax decimal(9,2),
  total decimal(9,2),
  cc_name text,
  cc_year text,
  cc_num text,
  s_fname text,
  s_lname text,
  s_address text,
  s_city text,
  s_state text,
  s_zip text,
  s_country text,
  s_phone text,
  b_fname text,
  b_lname text,
  b_address text,
  b_city text,
  b_state text,
  b_zip text,
  b_country text,
  b_phone text,
  date_bought date,
  date_processed date,
  ship_method text,
  complete char(1),
  cc text,
  cc_month text,
  cc_vcode text,
  amount_gc_used decimal(9,2),
  ip_address text,
  tracking text,
  trackno text,
  precharge_score text,
  precharge_response text,
  discount decimal(9,5),
  stax decimal(9,5),
  ctax decimal(9,5),
  itax decimal(9,5),
  binName text,
  binPhone text,
  taxExemptID text,
  AuthorizeNETResult text,
  PRIMARY KEY (id)
);

-- DROP TABLE IF EXISTS <user>;
CREATE TABLE <user> (
  id int(11)  NOT NULL auto_increment,
  fname text,
  lname text,
  address text,
  city text,
  state text,
  zip text,
  country text,
  phone text,
  email text,
  session text,
  ip text,
  password text,
  wishlist_ids text,
  groupid int(11),
  PRIMARY KEY (id)
);

-- DROP TABLE IF EXISTS <giftcertificate>;
CREATE TABLE <giftcertificate> (
  id int(11)  NOT NULL auto_increment,
  amount_left decimal(9,2) DEFAULT '0.00',
  initial_amount decimal(9,2),
  customer_name text,
  customer_id int(11),
  recipient_name text,
  recipient_email text,
  closed text,
  gc_code text,
  date_bought date,
  oid int(11),
  active text,
  PRIMARY KEY (id)
);

-- DROP TABLE IF EXISTS <categories>;
CREATE TABLE <categories> (
  id int(11)  NOT NULL auto_increment,
  code text,
  name text,
  style text,
  intro text, 
  numimages text,
  status text,
  children text,
  parent text,
  PRIMARY KEY (id)
);

-- DROP TABLE IF EXISTS <ebay>;
CREATE TABLE <ebay> (
  id int(11)  NOT NULL,
  name text,
  parent int(11),
  PRIMARY KEY (id)
);

-- DROP TABLE IF EXISTS <attributes>;
CREATE TABLE <attributes> (
  id int(11)  NOT NULL auto_increment,
  name text,
  ordering int(11),
  product_id int(11),
  PRIMARY KEY (id)
);

-- DROP TABLE IF EXISTS <attribute_values>;
CREATE TABLE <attribute_values> (
  id int(11)  NOT NULL auto_increment,
  data text,
  ordering int(11),
  price decimal(9,2) DEFAULT '0.00',
  attribute_id int(11),
  PRIMARY KEY (id)
);

-- DROP TABLE IF EXISTS <groups>;
CREATE TABLE <groups> (
  id int(11)  NOT NULL auto_increment,
  name text,
  discount decimal(9,2),
  PRIMARY KEY (id)
);

-- DROP TABLE IF EXISTS <maxmind>;
CREATE TABLE <maxmind> (
  id int(11)  NOT NULL auto_increment,
  oid int(11),
  score decimal(9,2),
  binMatch text,
  binName text,
  binCountry text,
  binNameMatch text,
  binPhoneMatch text,
  binPhone text,
  freeMail text,
  carderEmail text,
  anonymousProxy text,
  ip_region text,
  ip_city text,
  ip_isp text,
  countryMatch text,
  highRiskCountry text,
  distance text,
  shipForward text,
  custPhoneInBillingLoc text,
  PRIMARY KEY (id)
);